APT - Corrigir erro de chave pública (W: Erro GPG)

Publicado por Mauriciodez em 23/01/2019

[ Hits: 10.343 ]

 


APT - Corrigir erro de chave pública (W: Erro GPG)



NOTA: dica válida só para Debian e derivadas.

Muitos usuários novatos não se atentam ao fato de que quando um novo repositório é adicionado, a instalação de sua chave pública (GPG) é obrigatória e tem que ser instalada manualmente (salvo em caso de comandos com a instalação da GPG prevista).

Quando isso não acontece, temos erros no update do sistema como o emulado abaixo.

W: Erro GPG: https://download.sublimetext.com apt/stable/ InRelease: As assinaturas a seguir não puderam ser verificadas devido à chave pública não estar disponível: NO_PUBKEY F57D4F59BD3DF454

Nesse caso eu fiz o repositório do sublime-text mas não instalei a chave pública dele. A instalação é muito fácil e básica, para isso basta termos conhecimento do servidor de GPG, eu só uso 2, sendo que só uso o do MIT se o do Ubuntu estiver fora do ar.
Vamos aos comandos para instalar a chave pública do nosso exemplo, a escolha do servidor é opcional:

Opção 1 - keyserver.ubuntu.com:

# apt-key adv --keyserver keyserver.ubuntu.com --recv F57D4F59BD3DF454

Opção 2 - pgp.mit.edu:

# apt-key adv --keyserver pgp.mit.edu --recv F57D4F59BD3DF454

Se tudo correu bem vc verá no terminal uma saída como esta:
Linux: APT -- Corrigir erro de chave pública ( W: Erro GPG: )
Abraços e até a próxima dica.

Maurício G. Paiva

Outras dicas deste autor

Uget funcional no browser

Autocompletar path no comando read

Como reparar o arquivo "status" [Resolvido]

Repetir determinado caractere X vezes

Anexar partição com o GParted

Leitura recomendada

Quebrar senha de root do MySQL

Qual distribuição Linux o iniciante deve usar? Considerações de um ex-usuário Windows

Atualização rápida do kernel 3.17 no Debian, Ubuntu e Linux Mint

Plotter de recorte no Linux

Iniciando programas rapidamente no Gnome, KDE ou XFCE

  

Comentários
[1] Comentário enviado por bruno_martins301 em 21/03/2019 - 21:29h

Olá, sou novato no linux estou com um problema parecido.
Estou tentando instalar o driver de video da intel, porém ao resolver o primeiro erro de GPG surgiu mais um e este não consigo resolver. Aqui está a saída do terminal

[email protected]:~$ sudo apt-get update
[sudo] password for bruno:
Ign:1 http://packages.linuxmint.com tessa InRelease
Atingido:2 http://archive.canonical.com/ubuntu bionic InRelease
Atingido:3 http://packages.linuxmint.com tessa Release
Atingido:4 http://archive.ubuntu.com/ubuntu bionic InRelease
Obter:5 http://archive.ubuntu.com/ubuntu bionic-updates InRelease [88,7 kB]
Obter:6 http://security.ubuntu.com/ubuntu bionic-security InRelease [88,7 kB]
Atingido:8 http://repository.spotify.com stable InRelease
Obter:9 https://download.01.org/gfx/ubuntu/15.10/main wily InRelease [3.663 B]
Obter:10 http://archive.ubuntu.com/ubuntu bionic-backports InRelease [74,6 kB]
Err:9 https://download.01.org/gfx/ubuntu/15.10/main wily InRelease
As seguintes assinaturas eram inválidas: 6C82391DC41365FB56EC3CE4A496EB03894A3A8D
Lendo listas de pacotes... Pronto
W: Erro GPG: https://download.01.org/gfx/ubuntu/15.10/main wily InRelease: As seguintes assinaturas eram inválidas: 6C82391DC41365FB56EC3CE4A496EB03894A3A8D
E: The repository 'https://download.01.org/gfx/ubuntu/15.10/main wily InRelease' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.



Contribuir com comentário